/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IInjectionTarget.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;

/**
 * Interface used for injection-target element.
 * @author Florent Benoit
 */
public interface IInjectionTarget extends Serializable {

    /**
     * @return the name of the class where injection should occurs.
     */
    String getClassname();

    /**
     * Sets the name of the class.
     * @param classname the name of the class.
     */
    void setClassname(final String classname);

    /**
     * @return the name of the target (attribute)
     */
    String getTargetName();

    /**
     * Sets the name of the attribute/target of the injection.
     * @param targetName the name of the attribute
     */
    void setTargetName(final String targetName);

}
