/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IResourceGroup.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;
import java.util.List;

/**
 * Interface used for resource element.
 * @author Florent Benoit
 */
public interface IResourceGroup extends Serializable {

    /**
     * Gets the mapped name.
     * @return the mapped name
     */
    String getMappedName();

    /**
     * Set the mapped name.
     * @param mappedName the given mapped name.
     */
    void setMappedName(final String mappedName);

    /**
     * @return the injectionTarget list
     */
    List<IInjectionTarget> getInjectionTargetList();

    /**
     * Adds the igiven njection target value.
     * @param injectionTarget value of injectionTarget element
     */
    void addInjectionTarget(final IInjectionTarget injectionTarget);

}
